import type { ISynchronousCacheType, IMultiSynchronousCacheType } from '@hokify/node-ts-cache';
import NodeCache from 'node-cache';
export declare class NodeCacheStorage implements ISynchronousCacheType, IMultiSynchronousCacheType {
    myCache: NodeCache;
    constructor(options: NodeCache.Options);
    getItems<T>(keys: string[]): {
        [key: string]: T | undefined;
    };
    setItems(values: {
        key: string;
        content: any;
    }[]): void;
    getItem<T>(key: string): T | undefined;
    setItem(key: string, content: any): void;
    clear(): void;
}
