import NodeCache from 'node-cache';
export class NodeCacheStorage {
    constructor(options) {
        this.myCache = new NodeCache(options);
    }
    getItems(keys) {
        return this.myCache.mget(keys);
    }
    setItems(values) {
        this.myCache.mset(values.map(v => ({ key: v.key, val: v.content })));
    }
    getItem(key) {
        return this.myCache.get(key) || undefined;
    }
    setItem(key, content) {
        this.myCache.set(key, content);
    }
    clear() {
        this.myCache.flushAll();
    }
}
//# sourceMappingURL=node-cache.storage.js.map